%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Config-Tiny
Version:       2.30
Release:       1mamba
Summary:       Config::Tiny - Read/Write .ini style files with as little code as possible
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/R/RS/RSAVAGE/Config-Tiny-%{version}.tgz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl(Test::Pod)
Requires:      perl >= %perl_major_ver

%description
Config::Tiny is a perl class to read and write .ini style configuration files with as little code as possible, reducing load time and memory overhead. Most of the time it is accepted that Perl applications use a lot of memory and modules. The ::Tiny family of modules is specifically intended to provide an ultralight alternative to the standard modules.
This module is primarily for reading human written files, and anything we write shouldn't need to have documentation/comments.
If you need something with more power move up to Config::Simple, Config::General or one of the many other Config:: modules. To rephrase, Config::Tiny does not preserve your comments, whitespace, or the order of your config file.

%prep
%setup -q -n Config-Tiny-%{version}

chmod a-x Changes lib/Config/Tiny.pm

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test AUTOMATED_TESTING=1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm.gz
%doc Changes LICENSE README

%changelog
* Fri Oct 13 2023 Automatic Build System <autodist@mambasoft.it> 2.30-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 2.29-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28-1mamba
- update to 2.28

* Sun May 01 2011 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 2.12-1mamba
- package created by autospec
